Last Comment Bug 418355 - Location bar remains yellow with mixed content on Linux
: Location bar remains yellow with mixed content on Linux
Status: VERIFIED FIXED
[sg:low]
:
Product: Core
Classification: Components
Component: Security: UI (show other bugs)
: Trunk
: x86 Linux
: -- normal (vote)
: mozilla1.9beta4
Assigned To: Adam Barth
:
Mentors:
https://crypto.stanford.edu/~collinj/...
Depends on:
Blocks: lockicon
  Show dependency treegraph
 
Reported: 2008-02-18 23:08 PST by Adam Barth
Modified: 2008-02-25 12:53 PST (History)
7 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Don't show yellow if level=broken (1.45 KB, patch)
2008-02-19 17:40 PST, Adam Barth
gavin.sharp: review+
mbeltzner: approval1.9+
Details | Diff | Splinter Review

Description Adam Barth 2008-02-18 23:08:39 PST
User-Agent:       Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.9b4pre) Gecko/2008021804 Minefield/3.0b4pre
Build Identifier: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.9b4pre) Gecko/2008021804 Minefield

If an HTTPS page includes mixed content (e.g., by <script src="http://...), Firefox alters its security UI to indicate mixed content.  In particular, the following modifications are made:
1) An exclamation mark is added to he lock icon on the right of the status bar.
2) Larry changes his explanation of the site's identity information.
3) The address bar is changed from yellow to white.

On Linux, step 3 does not occur.  The address bar remains yellow, see:
<https://crypto.stanford.edu/~collinj/research/mixed-content/scripts/>
On Windows and Mac OS, the address bar does change to white.

Reproducible: Always

Steps to Reproduce:
1. Visit https://crypto.stanford.edu/~collinj/research/mixed-content/scripts/

Actual Results:  
The address bar is yellow.

Expected Results:  
The address bar should be white.
Comment 1 Adam Barth 2008-02-19 17:40:01 PST
Created attachment 304374 [details] [diff] [review]
Don't show yellow if level=broken

Looks like the fix is a one-line change to the gnomestripe CSS.
Comment 2 :Gavin Sharp [email: gavin@gavinsharp.com] 2008-02-19 19:15:45 PST
Hrm, has this always been broken? This rule was added in the patch for bug 263750 a while ago (though it's moved around quite a bit since then to finally settle in browser.css).
Comment 3 Adam Barth 2008-02-19 20:49:58 PST
Interesting.  I don't remember seeing this behavior in FF2.  I'll look into this more tomorrow when I'm back in front of my Linux machine.
Comment 4 Collin Jackson 2008-02-19 20:54:00 PST
I think this issue may have been introduced by attachment 288852 [details] [diff] [review] for bug 398020:

 /* Secure site coloring */
-#urlbar[level="high"] > .autocomplete-textbox-container,
-#urlbar[level="low"] > .autocomplete-textbox-container {
+#urlbar[level="high"][pageproxystate="valid"] > .autocomplete-textbox-container,
+#urlbar[level="low"][pageproxystate="valid"] > .autocomplete-textbox-container,
+#urlbar[level="high"][pageproxystate="valid"] #autocomplete-security-wrapper,
+#urlbar[level="low"][pageproxystate="valid"] #autocomplete-security-wrapper,
+#urlbar[level="broken"][pageproxystate="valid"] #autocomplete-security-wrapper {
   background-color: #F5F6BE; /* #F7F898; */
   color: #000000;
 }
Comment 5 Kai Engert (:kaie) 2008-02-20 04:59:13 PST
Please feel free to assign to yourself, as I don't usually work on the product css. Thanks a lot for your help in getting this fixed!
Comment 6 :Gavin Sharp [email: gavin@gavinsharp.com] 2008-02-20 11:03:44 PST
(In reply to comment #4)
> I think this issue may have been introduced by attachment 288852 [details] [diff] [review] for bug
> 398020:

No, it was there before that patch (look for "-#urlbar[level="broken"] #autocomplete-security-wrapper {" in attachment 288852 [details] [diff] [review]). As I mentioned in comment 2, this was originally added in attachment 164481 [details] [diff] [review] for bug 263750, before Firefox 1.5.

I'd like to know whether this affects 1.5 and 2.0 as well, or whether that rule somehow didn't apply in those releases.
Comment 7 Adam Barth 2008-02-20 13:46:23 PST
I was able to reproduce this bug in Firefox 2 on Linux.  Looks like this has been broken for a while.
Comment 8 Carsten Book [:Tomcat] 2008-02-20 15:49:06 PST
(In reply to comment #6)
> I'd like to know whether this affects 1.5 and 2.0 as well, or whether that rule
> somehow didn't apply in those releases.
> 

confirmed on Mozilla/5.0 (X11; U; Linux i686 (x86_64); de; rv:1.8.1.12) Gecko/2008020121 Firefox/2.0.0.12, also affects also 1.8 builds on linux
Comment 9 :Gavin Sharp [email: gavin@gavinsharp.com] 2008-02-21 12:47:55 PST
Comment on attachment 304374 [details] [diff] [review]
Don't show yellow if level=broken

Eek, OK!
Comment 10 Mike Beltzner [:beltzner, not reading bugmail] 2008-02-21 13:16:57 PST
Comment on attachment 304374 [details] [diff] [review]
Don't show yellow if level=broken

a=beltzner for 1.9
Comment 11 Reed Loden [:reed] (use needinfo?) 2008-02-22 03:07:12 PST
Checking in browser/themes/gnomestripe/browser/browser.css;
/cvsroot/mozilla/browser/themes/gnomestripe/browser/browser.css,v  <--  browser.css
new revision: 1.182; previous revision: 1.181
done

Note You need to log in before you can comment on or make changes to this bug.